Bug 4514 - wl driver заявляет, что поддерживает любые сетевые карты
: wl driver заявляет, что поддерживает любые сетевые карты
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Low minor
: ---
Assigned To: Eugene Shatokhin
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-13 17:02 MSD by Eugene Shatokhin
Modified: 2014-11-05 11:54 MSK (History)
0 users

See Also:
RPM Package: dkms-broadcom-wl-6.30.223.141
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-10-13 17:02:04 MSD
В том числе и WiFi-адаптеры не от Broadcom.

Из кода драйвера (wl_linux.c):
--------------------
static struct pci_device_id wl_id_table[] =
{
	{ PCI_ANY_ID, PCI_ANY_ID, PCI_ANY_ID, PCI_ANY_ID,
	PCI_CLASS_NETWORK_OTHER << 8, 0xffff00, 0 },
	{ 0 }
};
--------------------

В версии 5.х здесь была таблица PCI IDs для поддерживаемых устройств.

Из-за этого, если в системе установлена версия 6.x, lspci, например, показывает, что устройство Realtek RTL8723BE (pci:10ec-b723-103c-2231) обслуживается драйвером wl, что неверно.

На работу системы не должно влиять (у нас в module alias поддерживаемые устройства указаны), но некрасиво всё же.
Comment 1 Eugene Shatokhin 2014-10-13 17:02:54 MSD
Соотв. hw-probe:
http://hw.rosalinux.ru/index.php?probe=363fd69e0f
Comment 2 Eugene Shatokhin 2014-11-05 11:54:17 MSK
Исправлено в dkms-broadcom-wl-6.30.223.248-1